(function() {
  var grunt, hash_file, helpers, icons, orig, path, tests, wp8;

  grunt = require('grunt');

  path = require('path');

  hash_file = require('hash_file');

  helpers = require(path.join(__dirname, '..', '..', '..', 'tasks', 'helpers'))(grunt);

  if (helpers.canBuild('wp8')) {
    tests = {};
    orig = path.join('test', 'fixtures', 'www');
    wp8 = path.join('test', 'phonegap', 'platforms', 'wp8');
    icons = [[path.join(orig, 'icon-62-tile.png'), path.join(wp8, 'ApplicationIcon.png')], [path.join(orig, 'icon-173-tile.png'), path.join(wp8, 'Background.png')]];
    icons.forEach(function(pair) {
      return tests["wp8 icon " + pair[0]] = function(test) {
        test.expect(3);
        test.ok(grunt.file.isFile(pair[0]), "" + pair[0] + " does not exist");
        test.ok(grunt.file.isFile(pair[1]), "" + pair[1] + " does not exist");
        return hash_file(pair[0], 'sha1', (function(_this) {
          return function(err, src) {
            return hash_file(pair[1], 'sha1', function(err, dest) {
              test.equal(dest, src, "hash should match for " + pair[0] + " => " + pair[1]);
              return test.done();
            });
          };
        })(this));
      };
    });
    exports.group = tests;
  }

}).call(this);
